# cocoapods-static-framework

A cocoapods plugin that enables static frameworks for all pods.

Cocoapods only supports static framework at pod level, which means an option in podspec and just valid for that pod. By using this plugin, we can make all pod to static framework with only one word!


## Usage
Install via gem:

```
$ gem install cocoapods-static-framework
```

Add the following to your podfile:

```ruby
plugin 'cocoapods-static-framework'

```

NOTE: Static frameworks is still using framework, not static library. So don't forget to add `use_frameworks!`

## About Static framework

### Why

Too many dynamic frameworks will increase app boot time dramatically, also the `Copy framework` build phase will expend unendurable time in the code-build-run loop. (There is also a dyld [crash](https://github.com/Ruenzuo/cocoapods-amimono#why-would-you-want-this-plugin-in-your-podfile)) Static framework have no these problems.

## requirement

- cocoapods ~> 1.5 

## License
MIT
